package com.easy.cms.dao;

import java.util.List;

import com.easy.base.CrudDao;
import com.easy.cms.obj.Node;
import com.easy.cms.obj.Subject;

public interface SubjectDao extends CrudDao<Subject> {

	public List<Node> findTree();
	
	List<Subject> getChilds(Integer id);
	//public Subject getBy(String code);
	
	List<Subject> getByParentId(Integer pid);
	
	void deleteBy(String subjectId);
}
